Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.cascade
Class CascadeConnector

    java.lang.Object
      cascading.cascade.CascadeConnector

    public class CascadeConnector

extends Object

Class CascadeConnector is used to construct a new `Cascade` instance from a collection of `Flow` instance.

Note order is not significant when adding passing Flow instances to the `connect` method. This connector will order them based on their dependencies, if any.

One Flow is dependent on another if the first sinks (produces) output that the second Flow sources (consumes) as input. A sink and source are considered equivalent if the fully qualified identifier, typically `Tap.getFullIdentifier(Object)` from either are `equals()`.

Note that checkpoint sink Taps from an upstream Flow may be the sources to downstream Flow instances.

The `CascadeDef` is a convenience class for dynamically defining a Cascade that can be passed to the `connect(CascadeDef)` method.

Use the `CascadeProps` fluent helper class to create global properties to pass to the CascadeConnector constructor.

See Also:
  `CascadeDef`, `CascadeProps`

Constructor Summary
`CascadeConnector()` Constructor CascadeConnector creates a new CascadeConnector instance.
`CascadeConnector(Map<Object,Object> properties)` Constructor CascadeConnector creates a new CascadeConnector instance.

Method Summary
`Cascade` | `connect(CascadeDef cascadeDef)`
`Cascade` | `connect(Collection<Flow> flows)` Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.
`Cascade` | `connect(Flow... flows)` Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.
`Cascade` | `connect(String name, Collection<Flow> flows)` Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.
`Cascade` | `connect(String name, Flow... flows)` Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CascadeConnector

    public CascadeConnector()

  Constructor CascadeConnector creates a new CascadeConnector instance.

### CascadeConnector

    @ConstructorProperties(value="properties")
    public CascadeConnector(Map<Object,Object> properties)

  Constructor CascadeConnector creates a new CascadeConnector instance.

  Parameters:
    `properties` - of type Map

Method Detail

### connect

    public Cascade connect(Collection<Flow> flows)

  Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance. The name of the Cascade is derived from the given Flow instances.

  Parameters:
    `flows` - of type Collection
  Returns:
    Cascade

### connect

    public Cascade connect(String name,
                           Collection<Flow> flows)

  Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.

  Parameters:
    `name` - of type String
    `flows` - of type Collection
  Returns:
    Cascade

### connect

    public Cascade connect(Flow... flows)

  Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance. The name of the Cascade is derived from the given Flow instances.

  Parameters:
    `flows` - of type Flow
  Returns:
    Cascade

### connect

    public Cascade connect(String name,
                           Flow... flows)

  Given any number of `Flow` objects, it will connect them and return a new `Cascade` instance.

  Parameters:
    `name` - of type String
    `flows` - of type Flow
  Returns:
    Cascade

### connect

    public Cascade connect(CascadeDef cascadeDef)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.